{
  "psdataentityname" : "DISCOUNTTYPE",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "DiscountType",
  "noviewmode" : 1,
  "createdate" : "2020-08-07 09:43:50",
  "memo" : "Type of discount specified as either a percentage or an amount.",
  "useraction" : 0,
  "logicname" : "折扣表",
  "existingmodel" : 0,
  "systemflag" : 0,
  "tablename" : "DISCOUNTTYPE",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2020-08-07 09:43:50",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "Auto77",
    "createdate" : "2020-08-07 09:43:50",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "usertag" : "Boolean",
    "enableuserinput" : 3,
    "psdefieldname" : "AMOUNTTYPE",
    "psdatatypename" : "是否逻辑",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/AMOUNTTYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "AmountType",
    "psdatatypeid" : "YESNO",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "pscodelistname" : "是否",
    "defaultvalue" : "0",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "pscodelistid" : "YesNo",
    "psdefformitems" : [ {
      "codename" : "Auto1990",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[AMOUNTTYPE][AmountType]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "AMOUNTTYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1566",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEDATE][CreateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2401",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEMAN][CreateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Memo",
    "enableuserinput" : 3,
    "psdefieldname" : "DESCRIPTION",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/DESCRIPTION",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Description",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 2000,
    "logicname" : "说明",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2531",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DESCRIPTION][Description]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DESCRIPTION",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "DISCOUNTTYPEID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/DISCOUNTTYPEID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "DiscountTypeId",
    "psdatatypeid" : "GUID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 1,
    "length" : 60,
    "logicname" : "折扣表",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto197",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DISCOUNTTYPEID][DiscountTypeId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DISCOUNTTYPEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "DISCOUNTTYPENAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/DISCOUNTTYPENAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "discounttypeName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "折扣类型名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto2441",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DISCOUNTTYPENAME][discounttypeName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_DISCOUNTTYPENAME_LIKE",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DISCOUNTTYPENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "IMPORTSEQUENCENUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/IMPORTSEQUENCENUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ImportSequenceNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Import Sequence Number",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3492",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[IMPORTSEQUENCENUMBER][ImportSequenceNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "IMPORTSEQUENCENUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "OVERRIDDENCREATEDON",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/OVERRIDDENCREATEDON",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OverriddenCreatedOn",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Record Created On",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3417",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OVERRIDDENCREATEDON][OverriddenCreatedOn]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OVERRIDDENCREATEDON",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "State",
    "enableuserinput" : 3,
    "psdefieldname" : "STATECODE",
    "psdatatypename" : "单项选择(数值)",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/STATECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StateCode",
    "psdatatypeid" : "NSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "pscodelistname" : "discounttype__StateCode",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "状态",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "discounttype__StateCode",
    "psdefformitems" : [ {
      "codename" : "Auto3659",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STATECODE][StateCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_STATECODE_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STATECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Status",
    "enableuserinput" : 3,
    "psdefieldname" : "STATUSCODE",
    "psdatatypename" : "单项选择(数值)",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/STATUSCODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StatusCode",
    "psdatatypeid" : "NSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "pscodelistname" : "discounttype__StatusCode",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "状态描述",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "pscodelistid" : "discounttype__StatusCode",
    "psdefformitems" : [ {
      "codename" : "Auto163",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STATUSCODE][StatusCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_STATUSCODE_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STATUSCODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "TIMEZONERULEVERSIONNUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/TIMEZONERULEVERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "TimeZoneRuleVersionNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Time Zone Rule Version Number",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto49",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TIMEZONERULEVERSIONNUMBER][TimeZoneRuleVersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TIMEZONERULEVERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "TRANSACTIONCURRENCYID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/TRANSACTIONCURRENCYID",
    "validflag" : 1,
    "derpsdefid" : "Base/TRANSACTIONCURRENCY/TRANSACTIONCURRENCYID",
    "physicalfield" : 1,
    "codename" : "TransactionCurrencyId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "货币",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "usertag2" : "transactioncurrency",
    "psdername" : "DER1N_DISCOUNTTYPE__TRANSACTIONCURRENCY__TRANSACTIONCURRENCYID",
    "psderid" : "<PSDATAENTITY>/DER1N_DISCOUNTTYPE__TRANSACTIONCURRENCY__TRANSACTIONCURRENCYID",
    "psdefformitems" : [ {
      "codename" : "Auto3914",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TRANSACTIONCURRENCYID][TransactionCurrencyId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_TRANSACTIONCURRENCYID_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TRANSACTIONCURRENCYID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2515",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEDATE][UpdateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1873",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEMAN][UpdateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "UTCCONVERSIONTIMEZONECODE",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/UTCCONVERSIONTIMEZONECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UTCConversionTimeZoneCode",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "UTC Conversion Time Zone Code",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2897",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UTCCONVERSIONTIMEZONECODE][UTCConversionTimeZoneCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UTCCONVERSIONTIMEZONECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "BigInt",
    "enableuserinput" : 3,
    "psdefieldname" : "VERSIONNUMBER",
    "psdatatypename" : "大整型",
    "pssysdbcolumnid" : "DEFAULT/DISCOUNTTYPE/VERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "VersionNumber",
    "psdatatypeid" : "BIGINT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/DISCOUNTTYPE",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Version Number",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2305",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[VERSIONNUMBER][VersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "VERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/DISCOUNTTYPE",
    "psdetablename" : "DISCOUNTTYPE",
    "tabletype" : "MAIN",
    "createdate" : "2020-09-02 15:12:15"
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `DISCOUNTTYPE`(\n`TIMEZONERULEVERSIONNUMBER`  INTEGER COMMENT 'Time Zone Rule Version Number' \n,`STATUSCODE`  INTEGER COMMENT '状态描述' \n,`DISCOUNTTYPEID`  VARCHAR(60)  NOT NULL PRIMARY KEY COMMENT '折扣表' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`AMOUNTTYPE`  INTEGER COMMENT '类型' \n,`VERSIONNUMBER`  BIGINT(20) COMMENT 'Version Number' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`DISCOUNTTYPENAME`  VARCHAR(100) COMMENT '折扣类型名称' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`DESCRIPTION`  VARCHAR(2000) COMMENT '说明' \n,`UTCCONVERSIONTIMEZONECODE`  INTEGER COMMENT 'UTC Conversion Time Zone Code' \n,`OVERRIDDENCREATEDON`  DATETIME COMMENT 'Record Created On' \n,`IMPORTSEQUENCENUMBER`  INTEGER COMMENT 'Import Sequence Number' \n,`STATECODE`  INTEGER COMMENT '状态' \n,`TRANSACTIONCURRENCYID`  VARCHAR(60) COMMENT '货币' \n)COMMENT='折扣表';",
    "testsql" : "SELECT 1 FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "a561587a49745d3351dcddc213dd72c4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DISCOUNTTYPE",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.AMOUNTTYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `AMOUNTTYPE`  INTEGER  COMMENT '类型' \n",
    "testsql" : "SELECT `AMOUNTTYPE` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "6ddd29e93d2691f818cb7b66d4d3dcf0",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "AMOUNTTYPE",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "56a8408db9acce98de9799905c8ec201",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "84fa9cf1daff69f066413d0d45d490c7",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.DESCRIPTION",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `DESCRIPTION`  VARCHAR(2000)  COMMENT '说明' \n",
    "testsql" : "SELECT `DESCRIPTION` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "8bce7882fb4f5875bb973c3ead59a650",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DESCRIPTION",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.DISCOUNTTYPEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `DISCOUNTTYPEID`  VARCHAR(60)  COMMENT '折扣表' \n",
    "testsql" : "SELECT `DISCOUNTTYPEID` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "0ae7159b32b83f663ae324a9f9659336",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DISCOUNTTYPEID",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.DISCOUNTTYPENAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `DISCOUNTTYPENAME`  VARCHAR(100)  COMMENT '折扣类型名称' \n",
    "testsql" : "SELECT `DISCOUNTTYPENAME` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "8779d65e0fdcd236282be976f3b1a861",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DISCOUNTTYPENAME",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.IMPORTSEQUENCENUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `IMPORTSEQUENCENUMBER`  INTEGER  COMMENT 'Import Sequence Number' \n",
    "testsql" : "SELECT `IMPORTSEQUENCENUMBER` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "bdcf1bdb7ca50ba37bc5a1903d1588bf",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "IMPORTSEQUENCENUMBER",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.OVERRIDDENCREATEDON",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `OVERRIDDENCREATEDON`  DATETIME  COMMENT 'Record Created On' \n",
    "testsql" : "SELECT `OVERRIDDENCREATEDON` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "b8f9cbaf75ce7d643e36d206cab6ada8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OVERRIDDENCREATEDON",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.STATECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `STATECODE`  INTEGER  COMMENT '状态' \n",
    "testsql" : "SELECT `STATECODE` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "c753a9cbb6f62d98ed2ff25695368093",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STATECODE",
    "createdate" : "2020-08-07 09:47:04"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.STATUSCODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `STATUSCODE`  INTEGER  COMMENT '状态描述' \n",
    "testsql" : "SELECT `STATUSCODE` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "08ff3acbd00f5df1e272a7fd660183a0",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STATUSCODE",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.TIMEZONERULEVERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `TIMEZONERULEVERSIONNUMBER`  INTEGER  COMMENT 'Time Zone Rule Version Number' \n",
    "testsql" : "SELECT `TIMEZONERULEVERSIONNUMBER` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "02eb86dd2a526ca7b7c3c44c7e1c069f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TIMEZONERULEVERSIONNUMBER",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.TRANSACTIONCURRENCYID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `TRANSACTIONCURRENCYID`  VARCHAR(60)  COMMENT '货币' \n",
    "testsql" : "SELECT `TRANSACTIONCURRENCYID` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "d68671f5c9d274e8a4213712931a6add",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:47:04"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.TRANSACTIONCURRENCYID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE DISCOUNTTYPE ADD CONSTRAINT FAEBA488854E474BC5 FOREIGN KEY(TRANSACTIONCURRENCYID) REFERENCES TRANSACTIONCURRENCY(TRANSACTIONCURRENCYID)",
    "psobjid" : "d68671f5c9d274e8a4213712931a6add",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:47:04"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "8b504ec085198c532e457b9b57807866",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "6725aebe02b416d87b3a168d841207d1",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.UTCCONVERSIONTIMEZONECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `UTCCONVERSIONTIMEZONECODE`  INTEGER  COMMENT 'UTC Conversion Time Zone Code' \n",
    "testsql" : "SELECT `UTCCONVERSIONTIMEZONECODE` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "9d405492234f0b53c0ce6f724a26c8ea",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UTCCONVERSIONTIMEZONECODE",
    "createdate" : "2020-08-07 09:47:03"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "DISCOUNTTYPE.VERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `DISCOUNTTYPE`\nADD COLUMN `VERSIONNUMBER`  BIGINT(20)  COMMENT 'Version Number' \n",
    "testsql" : "SELECT `VERSIONNUMBER` FROM `DISCOUNTTYPE` WHERE 1<>1",
    "psobjid" : "7fe27b4a43331061e7db10fd971d6cb6",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "VERSIONNUMBER",
    "createdate" : "2020-08-07 09:47:03"
  } ]
}